Attribute VB_Name = "NTDRV"

'Global device handle
Public OmsHandle1 As Long
Public OmsHandle2 As Long

'Controller status flags definitions
Public Const COMMAND_ERROR As Byte = 1
Public Const SLIP_ERRROR As Byte = 4
Public Const OVERTRAVEL_ERROR As Byte = 8

'Axis selection codes
Public Const OMS_X_AXIS As Byte = 1
Public Const OMS_Y_AXIS As Byte = 2
Public Const OMS_Z_AXIS As Byte = 4
Public Const OMS_T_AXIS As Byte = 8
Public Const OMS_U_AXIS As Byte = 16
Public Const OMS_V_AXIS As Byte = 32
Public Const OMS_R_AXIS As Byte = 64
Public Const OMS_S_AXIS As Byte = 128


Declare Function GetOmsHandle Lib "ntdrv" (ByVal DeviceName As String) As Long
Declare Sub CloseOmsHandle Lib "ntdrv" (ByVal Handle As Long)
Declare Sub SendAndGetString Lib "ntdrv" (ByVal Handle As Long, _
                                          ByVal Command As String, _
                                          ByVal Response As String)
Declare Function SendString Lib "ntdrv" (ByVal Handle As Long, _
                                         ByVal Command As String) As Long
Declare Sub GetDoneFlags Lib "ntdrv" (ByVal Handle As Long, _
                                      ByRef Flags As Byte)
Declare Sub GetStatusFlags Lib "ntdrv" (ByVal Handle As Long, _
                                        ByRef Flags As Byte)
Declare Sub ClrDoneFlags Lib "ntdrv" (ByVal Handle As Long, _
                                      ByVal Mask As Byte)
Declare Sub ClrStatusFlags Lib "ntdrv" (ByVal Handle As Long, _
                                        ByVal Mask As Byte)
Declare Function ResetController Lib "ntdrv" (ByVal Handle As Long) As Boolean
                                        
  


