
#define OMS_FILE_DEVICE 0x00008300L


#define OMS_COMMAND        0x830
#define OMS_QUERY          0x831
#define OMS_READ_STATUS    0x832
#define OMS_CLR_STATUS     0x833
#define OMS_READ_DONE      0x834
#define OMS_CLR_DONE       0x835
#define OMS_RESET          0x836
#define OMS_GET_VERSION    0x837

//
// The Oregon Micro Systems Motor Controller device driver IOCTLs
//
//Send a command string to the controller
#define IOCTL_OMS_COMMAND          CTL_CODE(OMS_FILE_DEVICE,  \
                                               OMS_COMMAND, \
                                               METHOD_BUFFERED,\
                                               FILE_ANY_ACCESS)
//Send a command string and wait for a response                                              
#define IOCTL_OMS_QUERY            CTL_CODE(OMS_FILE_DEVICE,  \
                                               OMS_QUERY, \
                                               METHOD_BUFFERED,\
                                               FILE_ANY_ACCESS)
//Read the controller error status flags                                               
#define IOCTL_OMS_READ_STATUS       CTL_CODE(OMS_FILE_DEVICE,  \
                                               OMS_READ_STATUS, \
                                               METHOD_BUFFERED,\
                                               FILE_ANY_ACCESS)
                                               
#define IOCTL_OMS_CLR_STATUS       CTL_CODE(OMS_FILE_DEVICE,  \
                                               OMS_CLR_STATUS, \
                                               METHOD_BUFFERED,\
                                               FILE_ANY_ACCESS)
#define IOCTL_OMS_READ_DONE         CTL_CODE(OMS_FILE_DEVICE,  \
                                               OMS_READ_DONE, \
                                               METHOD_BUFFERED,\
                                               FILE_ANY_ACCESS)
#define IOCTL_OMS_CLR_DONE         CTL_CODE(OMS_FILE_DEVICE,  \
                                               OMS_CLR_DONE, \
                                               METHOD_BUFFERED,\
                                               FILE_ANY_ACCESS)
#define IOCTL_OMS_RESET            CTL_CODE(OMS_FILE_DEVICE,  \
                                               OMS_RESET, \
                                               METHOD_BUFFERED,\
                                               FILE_ANY_ACCESS)
#define IOCTL_OMS_GET_VERSION      CTL_CODE(OMS_FILE_DEVICE,  \
                                               OMS_GET_VERSION, \
                                               METHOD_BUFFERED,\
                                               FILE_ANY_ACCESS)

